using Microsoft.EntityFrameworkCore;
using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace IRaCIS.Core.Domain.Models;


[Comment("ҽƷ - ÿ֧¼")]
[Table("Payment")]
public class Payment : BaseFullAuditEntity
{
    [DecimalPrecision(18, 4)]
    public decimal ActuallyPaidCNY { get; set; }

    [DecimalPrecision(18, 4)]
    public decimal AdjustmentCNY { get; set; }

    [DecimalPrecision(18, 2)]
    public decimal AdjustmentUSD { get; set; }

    [DecimalPrecision(18, 4)]
    public decimal BankTransferCNY { get; set; }

    public DateTime CalculateTime { get; set; } = DateTime.Now;

    [StringLength(400)]
    public string CalculateUser { get; set; } = null!;

    public Guid DoctorId { get; set; }

    [DecimalPrecision(18, 2)]
    public decimal ExchangeRate { get; set; }

    public bool IsLock { get; set; }

    [StringLength(1000)]
    public string Note { get; set; } = null!;

    [DecimalPrecision(18, 4)]
    public decimal PaymentCNY { get; set; }

    [DecimalPrecision(18, 2)]
    public decimal PaymentUSD { get; set; }

    [DecimalPrecision(18, 4)]
    public decimal TaxCNY { get; set; }

    [StringLength(400)]
    public string YearMonth { get; set; } = null!;

    public DateTime YearMonthDate { get; set; }

}
