using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace IRaCIS.Core.Domain.Models;

[Table("RankPrice")]
public partial class RankPrice : BaseFullAuditEntity
{
    [DecimalPrecision(18, 2)]
    public decimal Adjudication { get; set; }

    [DecimalPrecision(18, 2)]
    public decimal AdjudicationIn24H { get; set; }

    [DecimalPrecision(18, 2)]
    public decimal AdjudicationIn48H { get; set; }

    [DecimalPrecision(18, 2)]
    public decimal Downtime { get; set; }

    [DecimalPrecision(18, 2)]
    public decimal Global { get; set; }

    public string RankName { get; set; } = null!;

    [DecimalPrecision(18, 2)]
    public decimal RefresherTraining { get; set; }

    public int ShowOrder { get; set; }

    [DecimalPrecision(18, 2)]
    public decimal Timepoint { get; set; }

    [DecimalPrecision(18, 2)]
    public decimal TimepointIn24H { get; set; }

    [DecimalPrecision(18, 2)]
    public decimal TimepointIn48H { get; set; }

    [DecimalPrecision(18, 2)]
    public decimal Training { get; set; }
}
