﻿using Microsoft.EntityFrameworkCore;
using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace IRaCIS.Core.Domain.Models;

[Comment("医生计费 - 项目收入价格验证")]
[Table("TrialRevenuesPriceVerification")]
public class TrialRevenuesPriceVerification : Entity
{
    public Guid TrialId { get; set; }

    public bool Adjudication { get; set; }

    public bool AdjudicationIn24H { get; set; }

    public bool AdjudicationIn48H { get; set; }

    public bool Downtime { get; set; }

    public bool Global { get; set; }

    public bool RefresherTraining { get; set; }

    public Guid ReviewerId { get; set; }

    [Comment(" false代表没有价格")]
    public bool Timepoint { get; set; }

    public bool TimepointIn24H { get; set; }

    public bool TimepointIn48H { get; set; }

    public bool Training { get; set; }

    public DateTime? WorkLoadDate { get; set; }

    [StringLength(400)]
    public string YearMonth { get; set; } = null!;
}