﻿using Microsoft.EntityFrameworkCore;
using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace IRaCIS.Core.Domain.Models
{
    [Table("SCPInstance")]
    public class SCPInstance : BaseFullAuditEntity, IEntitySeqId
    {
        #region 导航属性
        [JsonIgnore]
        [ForeignKey("SeriesId")]
        public SCPSeries SCPSeries { get; set; }

        [JsonIgnore]
        [ForeignKey("StudyId")]
        public SCPStudy SCPStudy { get; set; }
        #endregion

        public bool Anonymize { get; set; }

        public bool CPIStatus { get; set; }

        public long? FileSize { get; set; }

        [StringLength(500)]
        public string FrameOfReferenceUID { get; set; } = null!;

        public int ImageColumns { get; set; }

        public int ImageRows { get; set; }

        [StringLength(400)]
        public string ImagerPixelSpacing { get; set; } = null!;

        public int InstanceNumber { get; set; }

        public DateTime? InstanceTime { get; set; }

        public int NumberOfFrames { get; set; }


        [MaxLength]
        [Unicode(false)]
        public string Path { get; set; } = null!;

        [StringLength(400)]
        public string PixelSpacing { get; set; } = null!;

        public Guid SeqId { get; set; }

        public Guid SeriesId { get; set; }

        public string SeriesInstanceUid { get; set; } = null!;

        public int SliceLocation { get; set; }

        [StringLength(400)]
        public string SliceThickness { get; set; } = null!;

        public string SopInstanceUid { get; set; } = null!;

        public Guid StudyId { get; set; }

        public string StudyInstanceUid { get; set; } = null!;

        [StringLength(400)]
        public string WindowCenter { get; set; } = null!;

        [StringLength(400)]
        public string WindowWidth { get; set; } = null!;



    }
}
