﻿using Microsoft.EntityFrameworkCore;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace IRaCIS.Core.Domain.Models;

[Comment("项目中心 - 推送检查患者")]
[Table("SCPPatient")]
public class SCPPatient : BaseFullAuditEntity
{
    #region 导航属性
    [JsonIgnore]
    public List<SCPStudy> SCPStudyList { get; set; }
    [JsonIgnore]
    public Subject Subject { get; set; }
    [JsonIgnore]
    public Trial Trial { get; set; }
    [JsonIgnore]
    public TrialSite TrialSite { get; set; }
    #endregion

    public DateTime? EarliestStudyTime { get; set; }

    public DateTime LatestPushTime { get; set; }

    public DateTime? LatestStudyTime { get; set; }

    public string PatientAge { get; set; } = null!;

    public string PatientBirthDate { get; set; } = null!;

    public string PatientIdStr { get; set; } = null!;

    public string PatientName { get; set; } = null!;

    public string PatientSex { get; set; } = null!;

    public Guid? SubjectId { get; set; }

    public Guid TrialId { get; set; }

    public Guid TrialSiteId { get; set; }



}
