﻿using Microsoft.EntityFrameworkCore;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace IRaCIS.Core.Domain.Models;

[Comment("项目中心 - 推送序列")]
[Table("SCPSeries")]
public class SCPSeries : BaseFullDeleteAuditEntity, IEntitySeqId
{
    #region 导航属性
    [JsonIgnore]
    [ForeignKey("StudyId")]
    public SCPStudy SCPStudy { get; set; }

    [JsonIgnore]
    public List<SCPInstance> SCPInstanceList { get; set; }
    #endregion


    public string AcquisitionNumber { get; set; } = null!;

    public string AcquisitionTime { get; set; } = null!;

    public string BodyPartExamined { get; set; } = null!;

    public string BodyPartForEdit { get; set; } = null!;

    [StringLength(500)]
    public string Description { get; set; } = null!;

    public string ImageOrientationPatient { get; set; } = null!;

    public string ImagePositionPatient { get; set; } = null!;

    [StringLength(520)]
    public string ImageResizePath { get; set; } = null!;

    public string ImagerPixelSpacing { get; set; } = null!;

    public int InstanceCount { get; set; }

    public bool? IsReading { get; set; }

    public string Modality { get; set; } = null!;

    [StringLength(500)]
    public string ProtocolName { get; set; } = null!;

    public Guid SeqId { get; set; }

    public string SequenceName { get; set; } = null!;

    public string SeriesInstanceUid { get; set; } = null!;

    public int SeriesNumber { get; set; }

    public DateTime? SeriesTime { get; set; }

    public string SliceThickness { get; set; } = null!;

    public Guid StudyId { get; set; }

    public string StudyInstanceUid { get; set; } = null!;

    public string TriggerTime { get; set; } = null!;

}
