﻿using Microsoft.EntityFrameworkCore;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations.Schema;

namespace IRaCIS.Core.Domain.Models;

[Comment("机构 - 医院")]
[Table("Hospital")]
public class Hospital : BaseFullAuditEntity
{
    #region 导航属性
    [JsonIgnore]
    [ForeignKey("SiteId")]
    public Site Site { get; set; }

    [JsonIgnore]
    public List<Doctor> DoctorList { get; set; }
    #endregion


    public string City { get; set; } = null!;

    public string CityCN { get; set; } = null!;

    public string Country { get; set; } = null!;

    public string CountryCN { get; set; } = null!;

    public string HospitalName { get; set; } = null!;

    public string HospitalNameCN { get; set; } = null!;

    public string Province { get; set; } = null!;

    public string ProvinceCN { get; set; } = null!;

    public Guid? SiteId { get; set; }

    public string UniversityAffiliated { get; set; } = null!;

    public string UniversityAffiliatedCN { get; set; } = null!;




}
