using Microsoft.EntityFrameworkCore;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace IRaCIS.Core.Domain.Models;

[Comment(" - Site")]
[Table("Site")]
public partial class Site : BaseFullAuditEntity
{
    #region 
    [JsonIgnore]
    [ForeignKey("HospitalId")]
    public Hospital Hospital { get; set; }
    [JsonIgnore]
    public List<TrialSite> TrialSiteList { get; set; }
    #endregion

    [StringLength(500)]
    public string Address { get; set; } = null!;

    public string AliasName { get; set; } = null!;

    public string City { get; set; } = null!;

    public int Code { get; set; }

    public string ContactName { get; set; } = null!;

    public string ContactPhone { get; set; } = null!;

    public string Country { get; set; } = null!;

    public string DirectorName { get; set; } = null!;

    public string DirectorPhone { get; set; } = null!;

    public Guid? HospitalId { get; set; }

    public string Province { get; set; } = null!;

    [StringLength(500)]
    public string SiteCode { get; set; } = null!;

    [StringLength(500)]
    public string SiteName { get; set; } = null!;

    [StringLength(400)]
    public string SiteNameCN { get; set; } = null!;

    [Comment(" ʱδ")]
    public int State { get; set; }

    public string UniqueCode { get; set; } = null!;





}
