﻿using Microsoft.EntityFrameworkCore;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace IRaCIS.Core.Domain.Models
{
    [Comment("后台 - 系统菜单 （需要同步）")]
    [Table("Menu")]
    public class Menu : BaseFullAuditEntity
    {
        #region 导航属性
        [JsonIgnore]
        public List<UserTypeMenu> UserTypeMenuList { get; set; }
        #endregion

        public string ApiPath { get; set; } = null!;

        [StringLength(400)]
        public string Component { get; set; } = null!;

        public bool IsCache { get; set; }

        public bool IsDisplay { get; set; }

        public bool IsEnable { get; set; }

        public bool IsExternalLink { get; set; }

        public bool? IsInTabDisplay { get; set; }

        public string LanguageMark { get; set; } = null!;

        public string MenuIcon { get; set; } = null!;

        public string MenuName { get; set; } = null!;
        [Comment("类型（M目录 C菜单 F按钮 L链接）")]
        public string MenuType { get; set; } = null!;

        public string Meta { get; set; } = null!;


        [MaxLength]
        public string Note { get; set; }

        public Guid ParentId { get; set; }

        [Comment("路由地址")]
        [StringLength(500)]
        public string Path { get; set; } = null!;

        public string PermissionStr { get; set; } = null!;

        public string Redirect { get; set; } = null!;

        public int ShowOrder { get; set; }


    }
}
