﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations.Schema;
using IRaCIS.Core.Domain.Share;
using Microsoft.EntityFrameworkCore;

namespace IRaCIS.Core.Domain.Models;


[Comment("后台 - 用户类型 （需要同步）")]
[Table("UserType")]
public class UserType : Entity
{


    #region 导航属性
    [JsonIgnore]
    public List<UserTypeMenu> UserTypeMenuList { get; set; }
    [JsonIgnore]
    public List<UserTypeGroup> UserTypeGroupList { get; set; }

    [JsonIgnore]
    public List<SystemDocNeedConfirmedUserType> SystemDocNeedConfirmedUserTypeList { get; set; }

    [JsonIgnore]
    public List<User> UserList { get; set; }
    #endregion

    public string Description { get; set; } = null!;

    public bool IsEnable { get; set; }

    [Comment(" 是否是内部用户类型")]
    public bool IsInternal { get; set; }

    [Comment(" 用于前端界面下拉框展示排序")]
    public int Order { get; set; }

    public string PermissionStr { get; set; } = null!;

    [Comment(" 此数据固定，不能更改，和代码耦合")]
    public UserTypeEnum UserTypeEnum { get; set; }

    [Comment(" 名称、描述可以更改")]
    public string UserTypeName { get; set; } = null!;

    [Comment(" 用户类型名称简写")]
    public string UserTypeShortName { get; set; } = null!;





}