﻿using IRaCIS.Core.Domain.Share;
using Microsoft.EntityFrameworkCore;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace IRaCIS.Core.Domain.Models;

[Comment("受试者访视 - QC质疑")]
[Table("QCChallenge")]
public class QCChallenge : BaseAddAuditEntity
{
    #region 导航属性
    [JsonIgnore]
    [ForeignKey("LatestReplyUserId")]
    public User LatestReplyUser { get; set; }
    [JsonIgnore]
    //导航属性
    [ForeignKey("SubjectVisitId")]
    public SubjectVisit SubjectVisit { get; set; }

    [JsonIgnore]
    public List<QCChallengeDialog> DialogList { get; set; } = new List<QCChallengeDialog>();

    #endregion

    [Comment(" 行动事项")]
    [StringLength(1024)]
    public string ActionContent { get; set; } = null!;

    public string ChallengeCode { get; set; } = null!;

    [StringLength(1024)]
    public string ChallengeType { get; set; } = null!;

    public DateTime? ClosedTime { get; set; }

    public string ClosedUser { get; set; } = null!;

    public QCChallengeCloseEnum CloseResonEnum { get; set; }

    public int Code { get; set; }

    [Comment(" 质疑内容")]
    [StringLength(1024)]
    public string Content { get; set; } = null!;

    [Comment(" 用于双审的时候 区分 第一个人和第二个人的数据")]
    public CurrentQC CurrentQCEnum { get; set; }

    public DateTime? DeadlineTime { get; set; }

    public bool IsClosed { get; set; }

    public DateTime? LatestMsgTime { get; set; }

    public Guid? LatestReplyUserId { get; set; }

    [Comment(" 额外补充")]
    [StringLength(1024)]
    public string Note { get; set; } = null!;

    public TrialQCProcess QCProcessEnum { get; set; }

    public DateTime? ReUploadedTime { get; set; }

    public QCChanllengeReuploadEnum? ReuploadEnum { get; set; }

    [Comment(" 记录重传人")]
    public string ReUploader { get; set; } = null!;

    public Guid? ReUploadUserId { get; set; }

    public Guid SubjectVisitId { get; set; }

    public Guid TrialId { get; set; }

    public UserTypeEnum UserTypeEnum { get; set; }

}