

using System;
using IRaCIS.Core.Domain.Share;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Microsoft.EntityFrameworkCore;

namespace IRaCIS.Core.Domain.Models;

[Comment("项目阅片 - 一致性分析临床数据PDF")]
[Table("ReadingConsistentClinicalDataPDF")]
public class ReadingConsistentClinicalDataPDF : BaseAddAuditEntity
{
    #region 导航属性
    [JsonIgnore]
    [ForeignKey("ReadingConsistentClinicalDataId")]
    public ReadingConsistentClinicalData ReadingConsistentClinicalData { get; set; }
    #endregion

    [StringLength(1000)]
    public string FileName { get; set; } = null!;

    [StringLength(2000)]
    public string Path { get; set; } = null!;

    public Guid ReadingConsistentClinicalDataId { get; set; }

    public int Size { get; set; }

    public string Type { get; set; } = null!;


}



