
using System;
using IRaCIS.Core.Domain.Share;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Microsoft.EntityFrameworkCore;
namespace IRaCIS.Core.Domain.Models;

[Comment("项目阅片 - 医学审核任务问题答案")]
[Table("ReadingMedicineQuestionAnswer")]
public class ReadingMedicineQuestionAnswer : BaseFullAuditEntity
{
    #region 导航属性


    [JsonIgnore]
    [ForeignKey("TaskMedicalReviewId")]
    public TaskMedicalReview TaskMedicalReview { get; set; }
    #endregion

    [StringLength(400)]
    public string Answer { get; set; } = null!;
    [Comment("医学审核问题Id")]
    public Guid ReadingMedicineQuestionId { get; set; }

    public Guid TaskMedicalReviewId { get; set; }

    public Guid VisitTaskId { get; set; }



}



