

using System;
using IRaCIS.Core.Domain.Share;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Collections.Generic;
using Microsoft.EntityFrameworkCore;

namespace IRaCIS.Core.Domain.Models;

[Comment("系统标准 - 标准配置 （需要同步）")]
[Table("ReadingQuestionCriterionSystem")]
public class ReadingQuestionCriterionSystem : BaseAddAuditEntity
{
    #region 导航属性
    [JsonIgnore]
    public List<ReadingQuestionSystem> ReadingQuestionSystemList { get; set; } = new List<ReadingQuestionSystem>();
    #endregion
    public DateTime ConfirmTime { get; set; }

    [StringLength(400)]
    public string CriterionName { get; set; } = null!;

    public CriterionType CriterionType { get; set; }

    [StringLength(600)]
    public string Description { get; set; } = null!;

    public bool IsCompleteConfig { get; set; }

    [Comment("eCRF报告是否显示在图像页面")]
    public bool IseCRFShowInDicomReading { get; set; }

    public bool IsEnable { get; set; }
    [Comment("是否必须全局阅片")]
    public bool IsMustGlobalReading { get; set; }

    public bool IsOncologyReading { get; set; }

    public int ShowOrder { get; set; }
}



