
using System;
using IRaCIS.Core.Domain.Share;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Microsoft.EntityFrameworkCore;
namespace IRaCIS.Core.Domain.Models;

[Comment("项目阅片 - 全局阅片结果")]
[Table("ReadingGlobalTaskInfo")]
public class ReadingGlobalTaskInfo : BaseAddAuditEntity
{
    #region 导航属性
    [JsonIgnore]
    [ForeignKey("TaskId")]
    public VisitTask VisitTask { get; set; }

    [JsonIgnore]
    [ForeignKey("GlobalTaskId")]
    public VisitTask GlobalVisitTask { get; set; }


    [JsonIgnore]
    [ForeignKey("QuestionId")]
    public ReadingQuestionTrial TrialReadingQuestion { get; set; }
    #endregion

    [StringLength(4000)]
    public string Answer { get; set; } = null!;
    [Comment("全局答案类型")]
    public GlobalAnswerType GlobalAnswerType { get; set; }
    [Comment("全局任务Id")]
    public Guid GlobalTaskId { get; set; }

    public Guid? QuestionId { get; set; }

    public Guid SubjectId { get; set; }
    [Comment("原任务ID")]
    public Guid TaskId { get; set; }

    public Guid TrialId { get; set; }

}



