

using System;
using IRaCIS.Core.Domain.Share;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Collections.Generic;
using Microsoft.EntityFrameworkCore;

namespace IRaCIS.Core.Domain.Models;

[Comment("项目阅片 - 问题答案")]
[Table("ReadingTaskQuestionAnswer")]
public class ReadingTaskQuestionAnswer : BaseAddAuditEntity
{
    #region 导航属性

    [JsonIgnore]
    [ForeignKey("VisitTaskId")]
    public VisitTask VisitTask { get; set; }

    [JsonIgnore]
    [ForeignKey("ReadingQuestionTrialId")]
    public ReadingQuestionTrial ReadingQuestionTrial { get; set; }
    #endregion
    [MaxLength]
    public string Answer { get; set; } = null!;

    [Comment("全局阅片修改的答案")]
    [StringLength(400)]
    public string GlobalChangeAnswer { get; set; } = null!;

    [Comment("全局阅片是否修改")]
    public bool IsGlobalChange { get; set; }

    public Guid ReadingQuestionCriterionTrialId { get; set; }

    public Guid ReadingQuestionTrialId { get; set; }

    public Guid SubjectId { get; set; }

    public Guid TrialId { get; set; }

    public Guid VisitTaskId { get; set; }

}


	
