

using System;
using IRaCIS.Core.Domain.Share;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Microsoft.EntityFrameworkCore;

namespace IRaCIS.Core.Domain.Models;

[Comment("项目 - 阅片期计划")]
[Table("ReadingPeriodPlan")]
public class ReadingPeriodPlan : BaseFullDeleteAuditEntity
{
    #region 导航属性
    // <summary>
    /// 访视
    /// </summary>
    [ForeignKey("SubjectVisitId")]
    [JsonIgnore]
    public SubjectVisit SubjectVisit { get; set; }

    /// <summary>
    /// 阅片期配置
    /// </summary>
    [ForeignKey("ReadingPeriodSetId")]
    [JsonIgnore]
    public ReadingPeriodSet ReadingPeriodSet { get; set; }
    #endregion

    [Comment(" 阅片期配置ID")]
    public Guid ReadingPeriodSetId { get; set; }

    [Comment(" 访视Id")]
    public Guid SubjectVisitId { get; set; }





}
