

using System;
using IRaCIS.Core.Domain.Share;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Collections.Generic;
using Microsoft.EntityFrameworkCore;

namespace IRaCIS.Core.Domain.Models;

[Comment("项目 - 阅片期配置")]
[Table("ReadingPeriodSet")]
public class ReadingPeriodSet : BaseFullDeleteAuditEntity
{
    #region 导航属性
    [JsonIgnore]
    public List<ReadingPeriodSite> ReadingPeriodSites { get; set; } = new List<ReadingPeriodSite>();
    [JsonIgnore]
    /// <summary>
    /// 访视模板
    /// </summary>
    [ForeignKey("VisitStageId")]
    public VisitStage VisitStage { get; set; }

    /// <summary>
    /// 阅片期计划
    /// </summary>
    [JsonIgnore]
    public List<ReadingPeriodPlan> ReadingPeriodPlanList { get; set; } = new List<ReadingPeriodPlan>();
    #endregion

    [Comment("生效时间")]
    public DateTime? EffectOfTime { get; set; }
    public DateTime? ExpirationDate { get; set; }
    [Comment("截止访视")]
    [DecimalPrecision(18, 0)]
    public decimal? ExpirationVisitNum { get; set; }

    public bool IsGlobal { get; set; }

    public ReadingPeriodStatus IsTakeEffect { get; set; }

    [StringLength(400)]
    public string ReadingPeriodName { get; set; } = null!;
    [Comment("阅片范围")]
    public ReadingScopeEnum ReadingScope { get; set; }
    [Comment("阅片配置的类型")]
    public ReadingSetType ReadingSetType { get; set; }

    public Guid? SiteId { get; set; }

    public Guid TrialId { get; set; }

    public Guid TrialReadingCriterionId { get; set; }

    public Guid? VisitStageId { get; set; }



}
