using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations.Schema;
using IRaCIS.Core.Domain.Share;
using Microsoft.EntityFrameworkCore;

namespace IRaCIS.Core.Domain.Models;

[Comment("项目 - 项目参与人员中间表")]
[Table("TrialUser")]
public partial class TrialUser : BaseFullDeleteAuditEntity
{
    #region 导航属性
    [JsonIgnore]
    public Trial Trial { get; set; }

    [JsonIgnore]
    [ForeignKey("UserId")]
    public User User { get; set; }
    #endregion

    public Guid UserId { get; set; }
    public Guid TrialId { get; set; }

    public DateTime? RemoveTime { get; set; }

    public DateTime? JoinTime { get; set; }



}
